lucenenet-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "George Aroush" <geo...@aroush.net>
Subject RE: SharpZipLib dependency
Date Sun, 29 Nov 2009 05:48:57 GMT
Out of the box, Lucene.Net should not have any external dependency. This was
the case till 2.4; with 2.9.1, I would like to see that old behavior.

My suggestion is this gets fixed by using reflections to load SharpZipLib or
not, at run time.  This is important because not everyone compiles
Lucene.Net (think of our VB.NET users) or can use SharpZipLib (think of
license issue).

-- George


-----Original Message-----
From: Digy [mailto:digydigy@gmail.com] 
Sent: Thursday, November 26, 2009 11:24 AM
To: lucene-net-dev@incubator.apache.org
Subject: RE: SharpZipLib dependency

Is is related with Licensing issues.

DIGY.

-----Original Message-----
From: runenur [mailto:runenur@gmail.com] 
Sent: Thursday, November 26, 2009 10:43 AM
To: lucene-net-dev@incubator.apache.org
Subject: SharpZipLib dependency

Hey guys,

I just tried to do a clean compile of the code base, and notices that
there's a dependency to the SharpZipLib assembly. If this is a
necessary dependency, why is the assembly not included in the svn
repository? It is considered best practice to have all dependencies
checked into the repository, so that it is possible to do a clean
build by doing a check out, open the solution file, and build. Manual
steps like downloading a dependency are friction that will scare
people away.

Best regards,
Rune


Mime
View raw message